## org.aspectj.weaver.tools
Interface MatchingContext

All Known Implementing Classes:
  DefaultMatchingContext

    public interface MatchingContext

When extending AspectJ's pointcut parsing and matching with custom PointcutDesignatorHandlers, it may be necessary to match based on context information at a join point not exposed simply by java.lang.reflect member information or argument values. The matching context interface provides an extension point for the specification of additional shadow and join point context that can be taken into account during the matching process.

See Also:
  `DefaultMatchingContext`

Method Summary
`java.lang.Object` `getBinding(java.lang.String contextParameterName)` returns the binding associated with the given context parameter name (or null if there is no such context).
`boolean` `hasContextBinding(java.lang.String contextParameterName)` Returns true iff this matching context has a defined binding for the given context parameter.

Method Detail

### hasContextBinding

    boolean hasContextBinding(java.lang.String contextParameterName)

  Returns true iff this matching context has a defined binding for the given context parameter.

  Parameters:
    `contextParameterName` -

### getBinding

    java.lang.Object getBinding(java.lang.String contextParameterName)

  returns the binding associated with the given context parameter name (or null if there is no such context).

  Parameters:
    `contextParameterName` -
  Returns: